al_get_num_display_modes(3)

NAME

al_get_num_display_modes - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_get_num_display_modes(void)

DESCRIPTION

Get the number of available fullscreen display modes for the current set of display parameters. This will use the values set with al_set_new_display_refresh_rate(3), and al_set_new_display_flags(3) to find the number of modes that match. Settings the new display parameters to zero will give a list of all modes for the default driver.

SEE ALSO

al_get_display_mode(3)